AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

ACH

Collect ACH payments for USD and ZAR transactions.
We recommend you read the method overview before you proceed.

Last updated 13 September 2026

Collect ACH payments for USD and ZAR transactions. We recommend you read the method overview before you proceed.

post

https://api.flutterwave.com/v3/charges?type=ach_payment

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
This is the amount to be charged. Expected value is ZAR

currency string required
This is the specified currency to charge in. (expected value: ZAR for South African ach payments)

email string required
This is the email address of the customer

tx_ref string required
This is a unique reference, unique to the particular transaction being carried out. It is generated when it is not provided by the merchant for every transaction.

customer_identifier string required
This is a string of characters used to uniquely identify your customer.

fullname string
This is the customers full name. It should include first and last name of the customer

phone_number string
This is the phone number linked to the customer's mobile money account

client_ip string
IP - Internet Protocol. This represents the current IP address of the customer carrying out the transaction

device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used

meta object
This is used to include additional payment information

FILL IN ALL REQUIRED FIELDS

flightID string
This could be the extra information you want to pass

sideNote string
This could be any message you'd like to associate with this call

redirect_url string
This is a url you provide, we redirect to it after the customer completes payment and append the response to it as query parameters.

country string
Pass your country as US for US ACH payments and ZA for SA ACH payments

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

flw_ref string

device_fingerprint string

amount integer

charged_amount integer

app_fee number

merchant_fee integer

processor_response string

auth_model string

auth_url string

currency string

ip string

narration string

status string

payment_type string

fraud_status string

charge_type string

created_at string

account_id integer

redirect_url string

customer object

FILL IN ALL REQUIRED FIELDS

id integer

phone_number string

name string

email string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys